# Get Merchants by Tax Id
source: https://developer.mastercard.com/merchant-identifier/documentation/use-cases/use-cases-3/index.md

## Get Merchants by Tax Id {#get-merchants-by-tax-id}

The client has raw data which includes Tax Id, but the client is unable to identify other merchant details and attributes about the merchant in the transaction. In this example we will query for merchants matching the tax id of '15065786007458' in the country of 'BRA'
Note: Tax Id lookup is currently available for merchants in Brazil only. To inquire about other geographies, please reach out to your Mastercard representative. Tip: The Tax Id used in this example is available in the sandbox. Found [here](https://static.developer.mastercard.com/content/merchant-identifier/uploads/merchant-identifier-sandbox-merchant-descriptors.xlsx)

**RESTful GET Request**


API Reference: `GET /merchants-by-tax-ids`

<br />

**RESTful Request Parameters**

```javascript
tax_id=15065786007458
country_code=BRA  
```

**RESTful Response:**

```json
{
  "merchants": [
    {
      "address": {
        "line1": "R JOAQUIM ANTONIO TEIXEI 149",
        "city": "PIRES DO RIO",
        "postalCode": "75200-000",
        "country": {
          "code": "BRA",
          "name": "BRAZIL"
        },
        "countrySubdivision": {
          "code": "GO"
        }
      },
      "brandName": "NON-AGGREGATED OFFICE AND COMMERCIAL FURNITURE 5021",
      "merchantCategory": "5021 - OFFICE AND COMMERCIAL FURNITURE",
      "merchantDbaName": "MOVEIS ESTRELA",
      "taxId": "15065786007458",
      "locationId": 670831140
    }
  ]
}
```

